You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2017-10-19 13:38:27

romain65
Guest
Registered: 2015-06-25
Posts: 57

mise à jour 9.1.6 vers 9.2 - Version de PHP

Bonjour,

Pour passer à la 9.2, j'ai mis à jour PHP vers la 5.6.31 sur mon serveur Ubuntu.

Dans GLPI, dans configuration / générale / système, la version reste à 5.5.9.

 
GLPI 9.1.6 (/glpi => /var/www/html/glpi)


 

Server

 
Operating system: Linux srvparc2 4.4.0-97-generic #120~14.04.1-Ubuntu SMP Wed Sep 20 15:53:13 UTC 2017 x86_64
PHP 5.5.9-1ubuntu4.22 apache2handler (Core, PDO, Phar, Reflection, SPL, SimpleXML, Zend OPcache, apache2handler, apc, apcu,
	bcmath, bz2, calendar, ctype, curl, date, dba, dom, ereg, exif, fileinfo, filter, ftp, gd, gettext, hash, iconv, json, ldap,
	libxml, mbstring, mhash, mysql, mysqli, openssl, pcre, pdo_mysql, posix, readline, session, shmop, snmp, soap, sockets,
	standard, sysvmsg, sysvsem, sysvshm, tokenizer, wddx, xml, xmlreader, xmlwriter, zip, zlib)
Setup: max_execution_time="30" memory_limit="128M" post_max_size="100M" safe_mode="" session.save_handler="files"
	upload_max_filesize="100M" 
Software: Apache/2.4.7 (Ubuntu) ()
	Mozilla/5.0 (Windows NT 10.0; WOW64; Trident/7.0; rv:11.0) like Gecko
Server Software: (Ubuntu)
	Server Version: 5.5.57-0ubuntu0.14.04.1
	Server SQL Mode: 
	Parameters: [email protected]/glpi
	Host info: Localhost via UNIX socket
	
OK/var/www/html/glpi/config : OK
OK/var/www/html/glpi/files : OK
OK/var/www/html/glpi/files/_dumps : OK
OK/var/www/html/glpi/files/_sessions : OK
OK/var/www/html/glpi/files/_cron : OK
OK/var/www/html/glpi/files/_graphs : OK
OK/var/www/html/glpi/files/_lock : OK
OK/var/www/html/glpi/files/_plugins : OK
OK/var/www/html/glpi/files/_tmp : OK
OK/var/www/html/glpi/files/_rss : OK
OK/var/www/html/glpi/files/_uploads : OK
OK/var/www/html/glpi/files/_pictures : OK
OK/var/www/html/glpi/files/_log : OK
Web access to files directory is protectedWeb access to files directory is protected : OK


 

Libraries

 
htmLawed version 1.1.21 in (/var/www/html/glpi/lib/htmlawed)
phpCas version 1.3.5 in (/var/www/html/glpi/vendor/jasig/phpcas/source)
PHPMailer version 5.2.23 in (/var/www/html/glpi/vendor/phpmailer/phpmailer)
Zend Framework in (/var/www/html/glpi/vendor/zendframework/zend-loader/src)
zetacomponents/graph in (/var/www/html/glpi/vendor/zetacomponents/graph/src)
SimplePie version 1.5 in (/var/www/html/glpi/vendor/simplepie/simplepie/library)
TCPDF version 6.2.12 in (/var/www/html/glpi/vendor/tecnickcom/tcpdf)
michelf/php-markdown in (/var/www/html/glpi/vendor/michelf/php-markdown/Michelf)
true/punycode in (/var/www/html/glpi/vendor/true/punycode/src)
iacaml/autolink in (/var/www/html/glpi/vendor/iamcal/lib_autolink)
sabre/vobject in (/var/www/html/glpi/vendor/sabre/vobject/lib)


 

SQL replicas

 
Not active


 

Notifications

 
Way of sending emails: SMTP ([email protected])


 

Mails receivers

 


 

Plugins list

 
	shellcommands        Name: Commandes Shell                Version: 2.0.0      State: Enabled
	printercounters      Name: Compteurs Imprimantes          Version: 1.3.0      State: Enabled
	formcreator          Name: Formulaires                    Version: 2.4.2      State: Enabled
	fusioninventory      Name: FusionInventory                Version: 9.1+1.1    State: Enabled
	genericobject        Name: Gestion d'objets               Version: 2.4.0      State: Enabled
	mreporting           Name: Plus de rapports               Version: 1.3.1      State: Enabled
	reports              Name: Rapports                       Version: 1.10       State: Enabled
	dashboard            Name: Tableau de bord                Version: 0.7.9      State: Enabled


 

 


Du coup après la maj 9.2, quand je lance glpi, cela ne fonctionne pas. Comment faire pour que ma mise à jour PHP soit prise en compte pas GLPI ?

D'avance merci pour vos éclaircissements sur le sujet !

Romain

Last edited by romain65 (2017-10-19 13:39:42)

Offline

#2 2017-11-28 11:02:13

romain65
Guest
Registered: 2015-06-25
Posts: 57

Re: mise à jour 9.1.6 vers 9.2 - Version de PHP

Bonjour,
Je reprends le problème aujourd'hui. J'ai découvert que j'avais deux dossiers /etc/php/5.6/ et /etc/php5/
Apparemment glpi utilise le second.
Y a t'il moyen de le faire utiliser le premier pour que ma mise à jour de php soit prise en compte ? Si oui lequel ?

Offline

#3 2017-12-15 16:26:21

philippe.nicolas
Guest
Registered: 2017-04-13
Posts: 27

Re: mise à jour 9.1.6 vers 9.2 - Version de PHP

Bonjour,
Lorsque j'ai installé la nouvelle version de GLPI, j'ai installé mon serveur en passant la commande "apt install apache2 php php-gd php-mysql php-ldap php-imap php-curl ma-riadb-server mariadb-client php-apcu php-xmlrpc php-mbstring php-xml php-simplexml". Du coup, ça installe la dernière version de php présente sur les dépôt Debian (j'utilise Debian 9.3 et non pas  Ubuntu mais les 2 systèmes sont assez proches). J'ai ensuite installé glpi qui a donc utilisé la seule version de php présente sur mon serveur. Etant donné que tu as fait une mise à jour, il n'y a aucune raison pour que ton serveur se mette à utiliser une autre version de php. La solution que je vois c'est de désinstaller ton paquet php (apt remove php5), de regarder si tu n'as plus qu'un dossier et de voir si ton glpi fonctionne comme ça.

Philippe

Last edited by philippe.nicolas (2017-12-18 15:13:37)

Offline

Board footer

Powered by FluxBB